<template>
    <div>
        <h3>Development Interface App</h3>
        <button @click="showModal()"  class="btn btn-primary">Abrir Modal <i class="bi bi-image-alt"></i></button>
        <button @click="showFirstFile()"  class="btn btn-primary">Ver Primero <i class="bi bi-image-alt"></i></button>
        <list-files ref="list"></list-files>
    </div>
</template>
  
<script setup lang="ts">
import { ref } from 'vue';
import type { DocumentsListComponent } from "../../../src/index";

const list = ref<typeof DocumentsListComponent>();

function showModal() {
    list.value.show({
        title: "Listado de imágenes escaneadas en Rhys",
    }, {
        id_rel_tabla_reg: "1415",
        // id_dependen_responsable: 54,
        // id_pers_reso: 386,
        // campo_escan: "INASISTE"
    }).then((response) => {
        console.log(response + " al abrir.");
    });
}

function showFirstFile() {
    list.value.showFirstFile({
    }, {
        id_rel_tabla_reg: "1415",
        // id_dependen_responsable: 54,
        // id_pers_reso: 386,
        // campo_escan: "INASISTE"
    }).then((response) => {
        console.log(response + " al abrir.");
    });
}


</script>

<style></style>
  